//
//  WTDContext_v1.h
//  What ToDo (CoreData)
//
//  Created by Devin Coughlin on 7/26/06.
//  Copyright 2006 Objective Satisfaction. All rights reserved.
//

#import <Cocoa/Cocoa.h>


#import "DCManagedObject_v1.h"

@class WTDToDoItem_v1;

@interface WTDContext_v1 : DCManagedObject_v1 {

}

- (unsigned int) indexInSuperContext;

// orderedToDoItems
- (unsigned int) countOfOrderedToDoItems;

- (WTDToDoItem_v1 *) objectInOrderedToDoItemsAtIndex:(unsigned int)index;

- (void) insertObject:(WTDToDoItem_v1 *)item inOrderedToDoItemsAtIndex:(unsigned int)index;
- (void) removeObjectFromOrderedToDoItemsAtIndex:(unsigned int)index;

- (unsigned int) indexOfObjectInOrderedToDoItems:(WTDToDoItem_v1 *)item;

// orderedSubContexts
- (unsigned int) countOfOrderedSubContexts;

- (WTDContext_v1 *) objectInOrderedSubContextsAtIndex:(unsigned int)index;

- (void) insertObject:(WTDContext_v1 *)context inOrderedSubContextsAtIndex:(unsigned int)index;
- (void) removeObjectFromOrderedSubContextsAtIndex:(unsigned int)index;



+ (NSArray *)allContextsInManagedObjectContext:(NSManagedObjectContext *)managedObjectContext;

+ (WTDContext_v1 *)contextWithUUID:(NSString *)uuid inManagedObjectContext:(NSManagedObjectContext *)managedObjectContext;

+ (WTDContext_v1 *)insertedContextWithName:(NSString *)name inManagedObjectContext:(NSManagedObjectContext *)managedObjectContext;

+ (WTDContext_v1 *)insertedRootContextInManagedObjectContext:(NSManagedObjectContext *)managedObjectContext;

@end
